Cancel verification
curl --request PATCH \
--url https://server.heliumid.io/api/v1/verifications/{id}/cancel \
--header 'x-api-key: <api-key>'import requests
url = "https://server.heliumid.io/api/v1/verifications/{id}/cancel"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.heliumid.io/api/v1/verifications/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Verification cancelled successfully",
"data": {
"id": "69d830f88c8373aa37c95974",
"status": "cancelled",
"statusCode": 5000,
"reason": "",
"vendorData": "user_12345",
"userMeta": {
"applicationId": "app_67890"
},
"verificationMethod": "auto",
"createdAt": "2026-04-09T23:06:32.943Z",
"updatedAt": "2026-04-10T00:01:12.818Z"
},
"code": 200
}{
"status": false,
"message": "Verification not found or has been deleted",
"code": 400
}{
"status": false,
"message": "Unauthorized",
"code": 401
}API Reference
Cancel verification
Cancel an individual verification that has not yet reached a terminal successful or failed outcome.
PATCH
/
v1
/
verifications
/
{id}
/
cancel
Cancel verification
Authorizations
Your Helium ID API key.
Path Parameters
The verification identifier returned when the session was created.